#### Previous topic

scipy.interpolate.LSQUnivariateSpline.derivative

#### Next topic

scipy.interpolate.LSQUnivariateSpline.get_coeffs

# scipy.interpolate.LSQUnivariateSpline.derivatives

`LSQUnivariateSpline.``derivatives`(x)

  Return all derivatives of the spline at the point x.

  Parameters:

  x : float

  > The point to evaluate the derivatives at.

  Returns:

  der : ndarray, shape(k+1,)

  > Derivatives of the orders 0 to k.

  Examples

      >>> from scipy.interpolate import UnivariateSpline
      >>> x = np.linspace(0, 3, 11)
      >>> y = x**2
      >>> spl = UnivariateSpline(x, y)
      >>> spl.derivatives(1.5)
      array([2.25, 3.0, 2.0, 0])